Module org.jfree.chart3d
Package org.jfree.chart3d.interaction

# Class Chart3DMouseEvent

java.lang.Object
java.util.EventObject
org.jfree.chart3d.interaction.Chart3DMouseEvent

All Implemented Interfaces:
  `Serializable`

public class Chart3DMouseEvent extends EventObject implements Serializable
A mouse event for a chart that is displayed in a `Chart3DPanel`.

Since:
  1.3
See Also:
  - `Chart3DMouseListener`
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`Chart3DMouseEvent(Chart3D chart, MouseEvent trigger, RenderedElement element)`
Constructs a new event.

## Method Summary

Modifier and Type
Method
Description
`Chart3D`
`getChart()`
Returns the chart that the mouse event relates to.
`RenderedElement`
`getElement()`
Returns the interactive element (if any) under the mouse point.
`MouseEvent`
`getTrigger()`
Returns the mouse event that triggered this event.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Chart3DMouseEvent

public Chart3DMouseEvent(Chart3D chart, MouseEvent trigger, RenderedElement element)
Constructs a new event.

Parameters:
  `chart` - the source chart (`null` not permitted).
  `trigger` - the mouse event that triggered this event (`null` not permitted).
  `element` - the element (if any) under the mouse pointer (`null` permitted).

## Method Details

### getChart

public Chart3D getChart()
Returns the chart that the mouse event relates to.

Returns:
  The chart (never `null`).

### getTrigger

public MouseEvent getTrigger()
Returns the mouse event that triggered this event.

Returns:
  The event (never `null`).

### getElement

public RenderedElement getElement()
Returns the interactive element (if any) under the mouse point.

Returns:
  The chart entity (possibly `null`).